import { FpWeatherDeck } from './vents/fp-weather-deck';
import { FpCargoVent } from './vents/fp-cargo-vent';
import { FpZone, FpZoneDraft } from './fp-zone';
import { FpHose, FpHoseDraft } from './fp-hose';


export type FumigationPlan = {
  // All the zones in the vessel, not necessarily the ones getting fumigated
  zones: FpZone[];

  // The weather deck setup
  weather_deck: FpWeatherDeck;

  // The seetup for all th cargo vents
  cargo_vents: FpCargoVent[];

  // All the hoses used in the fumigation
  hoses: (FpHose | FpHoseDraft)[];
};

export type FumigationPlanDraft = Omit<FumigationPlan, "zones"> & {
  zones: FpZoneDraft[];
};
