import { OjFumigationPlan } from './fumigation-plan/oj-fumigation-plan';


export type OngoingJob = {
  _id: string;

  // The id of the job object
  job_id: string;

  // External job number provided by government
  job_number: string;

  // The id of the port to which the vessel is arriving
  port_id: string;

  // The id of the vessel being fumigated
  vessel_id: string;

  // The fumigation plan
  fumigation_plan: OjFumigationPlan;

  // The time the job started at the port
  started_at: Date;

  // Markings the end of the ongoing job. Undefined until the job is done
  ended_at?: Date;

  mock_settings?: {
    speed_multiplier: number;
    monitor_failure_risk: number;
    low_battery_risk: number;
    variance: number;
  };
};

export type OngoingJobDraft = Omit<OngoingJob, "_id" | "started_at">;
