import { Point } from '../../geometry/point';


export type CargoVent = {
  _id: string;

  // The id of the deck from which this vap is accessable
  deck_id: string;

  // The _id of the weather-deck-vent that leads to this access point
  source_id?: string;

  // The location of the vent on the layout file
  coords: Point;

  // The length of the line from the weather deck to here
  line_length?: number;

  // Panels which are crucial for accessing and using this cargo vent
  associated_panels?: string[];
};

export type CargoVentDraft = Omit<CargoVent, "_id"> & { _id?: string };
