import { FpDeckBase } from "../../../job/fumigation-plan/decks/fp-deck-base";
import { OjHrMonitorSpot } from "../devices/oj-hr-monitor-spot";
import { OjRecirculationFansStation } from "../devices/oj-recirculation-fans-station";

export type OjDeckBase = Omit<FpDeckBase, "recirculation_fans" | "hr_gas_monitors"> & {
  // The array of recirculation fans device points
  recirculation_fans: OjRecirculationFansStation[];

  // The array of hr monitors device points
  hr_gas_monitors: OjHrMonitorSpot[];

  // A monitor spot which we declared as to be ignored for the CT calculations for the entire process. It is declared pre-equilibrium and cannot be changd post equilibrium
  ignored_monitor_spot?: { monitor_spot_id: string; ignored_at: Date };
};
