import { FpZone } from "../../job/fumigation-plan/fp-zone";
import { OjFixedDeck } from "./decks/oj-fixed-deck";
import { OjHoistableDeck } from "./decks/oj-hoistable-deck";
import { InvalidCTWindow } from "./invalid-ct-window";

export type OjZone = Omit<FpZone, "decks" | "to_be_fumigated"> & {
  // All the decks in the zone
  decks: (OjFixedDeck | OjHoistableDeck)[];

  // is this zone being fumigated or not
  is_being_fumigated: boolean;

  // The time the fumigant supply actually started
  fumigation_supply_start_time?: Date;

  // Has all the fumigant for this zone already supplied
  all_fumigant_in?: number;

  // If set, this is the date when the equilibrium was reached
  equilibrium_reached?: number;

  // Date windows in which the CT data should be ignored
  invalid_ct_windows: InvalidCTWindow[];

  // Marking the end of the fumigation for this zone. Undefined until the job is done
  fumigation_end_time?: Date;

  // Did the fumigation fail
  is_fumigation_failed?: boolean;
};
