import { FixedDeck, FixedDeckDraft } from "./decks/fixed-deck";
import { HoistableDeck, HoistableDeckDraft } from "./decks/hoistable-deck";

export type Zone = {
  _id: string;

  // The name of the zone
  name: string;

  // How many decks are in the zone? This number includes the fixed bottom deck
  // Can be one only
  decks: (FixedDeck | HoistableDeck)[];
};

export type ZoneEdited = {
  _id: string;

  // The name of the zone
  name: string;

  // How many decks are in the zone? This number includes the fixed bottom deck
  // Can be one only
  decks: (FixedDeck | FixedDeckDraft | HoistableDeck | HoistableDeckDraft)[];
};

export type ZoneDraft = Omit<Zone, "_id" | "decks"> & {
  decks: (FixedDeck | FixedDeckDraft | HoistableDeck | HoistableDeckDraft)[];
};
